@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Bungee+Outline&family=Dosis:wght@300;500&family=Lato:wght@300;400&display=swap');


*{
    box-sizing: border-box;
}
html, body {
    font-family: 'Dosis', sans-serif;
    background-color: #333333;
    box-sizing: border-box;
   
}
/*translation*/


     body > .skiptranslate {
    display: none;
     }
h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #c05600;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 .23rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
/*Custom css*/


.bg-img{
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.bg-project{
    background-image: url('../images/kotka.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.hidden {
    display: none;
  }

#navi li a{
    color: black;
}

.logo{
    font-family: 'Bungee Outline', cursive;
    font-size: 30px;
    font-weight: bolder;
}

.input-bg {
    border: 2px solid #5A3A3A;
}

.logo-name {
    font-family: 'Kaushan Script', cursive;
    color:white;
}
.nav a {
    color: white;
    font-size: 18px;
}
.heading {
    font-family: 'Laila', sans-serif;
    font-weight: 600;
    color: #61574F;
}
.animate {
    opacity: 0;
    transition: ease-in 1s;
  }
  
  .animate.visible {
    opacity: 1;
  }

#project {
    width: 100%;
    background-color: #636863;
    height: 50vh;
}
#hero {
    height:80vh;
    padding-top: 120px;
}
#review {
    width:100%;
    height:50vh;
    display:flex;
    align-items:center;
}



.heros {
    background-image:url('../images/coding.jpg');
    background-position:center;
    background-repeat:no-repeat;
    background-size:cover;
}
.profile {
    border: 30px double #5A3A3A;
}
.overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-image: linear-gradient(rgba(115, 77, 38,.5),rgba(38, 38, 38,.6));
    border-radius: 10px;
}

.contact-title::before{
    content: '';
    width: 20px;
    height: 20px;
    background-color: white;
}

.zoom-effect{
    cursor: pointer;
}

    .zoom-effect:hover {
        transform: scale(1.1);
        cursor: pointer;
        filter: drop-shadow(0 0 0.25rem rgb(255, 255, 255));
    }

    .bounce-top {
        -webkit-animation: bounce-top 1.2s infinite both;
                animation: bounce-top 1.2s infinite both;
    }

    .subtitle::before{
        content: '';
        background-color: #f2a847;
        width: 10px;
        height: 30px;
        padding: 5px 3px;
        margin-right: 10px;
    }
 
    .carousel-inner {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
      }
      
      .carousel-item {
        flex: 0 0 auto;
        width: 100%;
      }


    /* keyframes*/
    /* ----------------------------------------------
 * Generated by Animista on 2023-5-28 19:41:47
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation bounce-top
 * ----------------------------------------
 */
@-webkit-keyframes bounce-top {
    0% {
      -webkit-transform: translateY(-45px);
              transform: translateY(-45px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
      opacity: 1;
    }
    24% {
      opacity: 1;
    }
    40% {
      -webkit-transform: translateY(-24px);
              transform: translateY(-24px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    65% {
      -webkit-transform: translateY(-12px);
              transform: translateY(-12px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    82% {
      -webkit-transform: translateY(-6px);
              transform: translateY(-6px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    93% {
      -webkit-transform: translateY(-4px);
              transform: translateY(-4px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    25%,
    55%,
    75%,
    87% {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
      -webkit-animation-timing-function: ease-out;
              animation-timing-function: ease-out;
    }
    100% {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
      -webkit-animation-timing-function: ease-out;
              animation-timing-function: ease-out;
      opacity: 1;
    }
  }
  @keyframes bounce-top {
    0% {
      -webkit-transform: translateY(-45px);
              transform: translateY(-45px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
      opacity: 1;
    }
    24% {
      opacity: 1;
    }
    40% {
      -webkit-transform: translateY(-24px);
              transform: translateY(-24px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    65% {
      -webkit-transform: translateY(-12px);
              transform: translateY(-12px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    82% {
      -webkit-transform: translateY(-6px);
              transform: translateY(-6px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    93% {
      -webkit-transform: translateY(-4px);
              transform: translateY(-4px);
      -webkit-animation-timing-function: ease-in;
              animation-timing-function: ease-in;
    }
    25%,
    55%,
    75%,
    87% {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
      -webkit-animation-timing-function: ease-out;
              animation-timing-function: ease-out;
    }
    100% {
      -webkit-transform: translateY(0px);
              transform: translateY(0px);
      -webkit-animation-timing-function: ease-out;
              animation-timing-function: ease-out;
      opacity: 1;
    }
  }

  .slit-in-vertical {
	-webkit-animation: slit-in-vertical 1s ease-out 1s both;
	        animation: slit-in-vertical 1s ease-out 1s both;
}
/*keyframes*/
/* ----------------------------------------------
 * Generated by Animista on 2023-5-28 21:59:0
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation tilt-in-fwd-tr
 * ----------------------------------------
 */
/* ----------------------------------------------
 * Generated by Animista on 2023-5-29 1:0:28
 * Licensed under FreeBSD License.
 * See http://animista.net/license for more info. 
 * w: http://animista.net, t: @cssanimista
 * ---------------------------------------------- */

/**
 * ----------------------------------------
 * animation slit-in-vertical
 * ----------------------------------------
 */
 @-webkit-keyframes slit-in-vertical {
    0% {
      -webkit-transform: translateZ(-800px) rotateY(90deg);
              transform: translateZ(-800px) rotateY(90deg);
      opacity: 0;
    }
    54% {
      -webkit-transform: translateZ(-160px) rotateY(87deg);
              transform: translateZ(-160px) rotateY(87deg);
      opacity: 1;
    }
    100% {
      -webkit-transform: translateZ(0) rotateY(0);
              transform: translateZ(0) rotateY(0);
    }
  }
  @keyframes slit-in-vertical {
    0% {
      -webkit-transform: translateZ(-800px) rotateY(90deg);
              transform: translateZ(-800px) rotateY(90deg);
      opacity: 0;
    }
    54% {
      -webkit-transform: translateZ(-160px) rotateY(87deg);
              transform: translateZ(-160px) rotateY(87deg);
      opacity: 1;
    }
    100% {
      -webkit-transform: translateZ(0) rotateY(0);
              transform: translateZ(0) rotateY(0);
    }
  }
  

/*animations*/
.animate__animated.animate__flipInX {
    --animate-duration: 2s;
}

@media (max-width: 768px) {
    .navbar {
        background-color: #1C2331;
    }

    .top-nav-collapse {
        top: 0;
    }
}

        /*boder animation*/
        .circle {
    width: 350px;
    height: 350px;
    border-radius: 50%;
    background-color: var(--bg-brown);
    box-shadow: 0 0 20px var(--shadow-color);
    animation: glow 2.5s ease-in-out infinite;
}

@keyframes glow {
    0% {
        box-shadow: 0 0 40px var(--shadow-color);
    }

    50% {
        box-shadow: 0 0 80px var(--shadow-color);
    }

    100% {
        box-shadow: 0 0 40px var(--shadow-color);
    }
}

.circle:before {
    content: "";
    position: absolute;
    top: calc(50% - 4px);
    left: calc(50% - 40px);
    width: 120px;
    height: 8px;
    border-radius: 10px;
    animation: wave 2.5s ease-in-out infinite;
}

@keyframes wave {
    0% {
        transform: translateX(-80px);
        background-color: #f2a847;
    }

    50% {
        transform: translateX(80px);
        background-color: #ffd69b;
    }

    100% {
        transform: translateX(-80px);
        background-color: #f2a847;
    }
}
.animated-text {
    overflow: hidden;
    border-right: 15px solid black;
    white-space: nowrap;
    animation: typing 3.5s steps(40, end), blink-caret 0.75s step-end infinite;
}

@keyframes typing {
    from {
        width: 0
    }

    to {
        width: 50%
    }
}

@keyframes blink-caret {
    from, to {
        border-color: transparent
    }

    50% {
        border-color: black
    }
}


  .active {
    display: block;
  }

/*brush css*/
/* create wrapper */
.tilt-in-fwd-tr {
    -webkit-animation: tilt-in-fwd-tr .6s cubic-bezier(.25,.46,.45,.94) both;
    animation: tilt-in-fwd-tr .6s cubic-bezier(.25,.46,.45,.94) both
}
.shake-horizontal {
    -webkit-animation: shake-horizontal 0.8s cubic-bezier(0.250, 0.460, 0.450, 0.940) 3s infinite alternate both;
    animation: shake-horizontal 0.8s cubic-bezier(0.250, 0.460, 0.450, 0.940) 3s infinite alternate both;
}
.tracking-in-expand {
    -webkit-animation: tracking-in-expand 0.7s cubic-bezier(0.215, 0.610, 0.355, 1.000) both;
    animation: tracking-in-expand 0.7s cubic-bezier(0.215, 0.610, 0.355, 1.000) both;
}

/* =============================================================================
   HTML5 CSS Reset Minified - Eric Meyer
   ========================================================================== */

   
   
   /* =============================================================================
      My CSS
      ========================================================================== */
   
   /* ---- base ---- */
   /* ---- stats.js ---- */
   
   .count-particles{
     background: #000022;
     position: absolute;
     top: 48px;
     left: 0;
     width: 80px;
     color: #13E8E9;
     font-size: .8em;
     text-align: left;
     text-indent: 4px;
     line-height: 14px;
     padding-bottom: 2px;
     font-family: Helvetica, Arial, sans-serif;
     font-weight: bold;
   }
   
   .js-count-particles{
     font-size: 1.1em;
   }
   
   #stats,
   .count-particles{
     -webkit-user-select: none;
     margin-top: 5px;
     margin-left: 5px;
   }
   
   #stats{
     border-radius: 3px 3px 0 0;
     overflow: hidden;
   }
   
   .count-particles{
     border-radius: 0 0 3px 3px;
   }
   
   
   /* ---- particles.js container ---- */
   
   #particles-js{
     width: 100%;
     height: 100%;
     background-color:transparent;
     background-size: cover;
     background-position: 50% 50%;
     background-repeat: no-repeat;
     z-index: 100;
   }
   /* 
---------------------------------------------
Google Translator style
--------------------------------------------- 
*/

.fixed-con {
  z-index:1!important;
  background-color: #f7f8fc;
  display: none;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  overflow-y: auto;
}
.VIpgJd-ZVi9od-aZ2wEe-wOHMyf{
 z-index: 9724790009779!important;
 top:0;
 left:unset;
 display:none!important;
 border-radius:50%;
 border:2px solid gold;
}
.VIpgJd-ZVi9od-aZ2wEe-OiiCO{
  width:80px;
  height:80px;
}

/*hide google translate link | logo | banner-frame */
.goog-logo-link,.gskiptranslate,.goog-te-gadget span,.goog-te-banner-frame,#goog-gt-tt, .goog-te-balloon-frame,div#goog-gt-{
  display: none!important;
}
.goog-te-gadget {
  color: transparent!important;
  font-size:0px;
}

.goog-text-highlight {
  background: none !important;
  box-shadow: none !important;
  display: none;
}
 
/*google translate Dropdown */

#google_translate_element select{
background:rgb(253, 253, 253);
color:#383ffa;
border: 1px solid black;
border-radius:3px;
padding:4px 6px;
width: 105px;
margin: 0 10px;
}

#quote-container {
  text-align: center;
  font-size: 20px;
  padding: 20px;
  width: 300px;
  margin: 50px auto;
}

.fade-in-out {
  opacity: 0;
  transition: opacity 1s ease-in-out;
}

.fade-in-out.active {
  opacity: 1;
}
